Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008347TestLinkCustom fieldspublic2018-08-08 13:442018-10-06 12:17
Reporterelle 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008347: Can't save data in 'Data created' and Date last modify' CUSTOM FIELDS
DescriptionWhen creating a new test case, or editing it, I can't save the data filled in the fields 'Date create' and 'Date last modify'.

A problem occurs also when I want to edit an old TC, which has a date. Each edit removes the Date created and Date last modify.
Steps To ReproduceCREATING NEW TC AND EDIT IT
1. Create a new test case (att1)
2. Fill: (att2)
- TC title field
- TC Author
- TC Last Updater
- Date created (!!!) - eg. Today
- Date last modify (!!!) - eg. Today
3. Click Create button - Date created and Date last modify are empty (att3)
4. Edit created TC (att4)
5. Again fill Date created and Date last modify fields (att5)
6. Click Save button - Date created and Date last modify are still empty (att6)

EDITING OLD TC
1. Find an old TC, which has a data in a Date created and Date last modify fields (att7)
2. You don't have to do anything, just click save - Date created and Date last modify have deleted (att8)
TagsNo tags attached.
Database (MySQL,Postgres,etc).
BrowserChrome
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Fileszip file icon TL - bug.zip [^] (378,433 bytes) 2018-08-08 13:44
png file icon att2.png [^] (62,312 bytes) 2018-08-09 08:10


png file icon att3.png [^] (50,345 bytes) 2018-08-09 08:11

- Relationships
child of 0008241closedfman Availables hot-fixes for 1.9.17 & How To get full fixed package from GitHub 

-  Notes
(0027756)
fman (administrator)
2018-08-08 14:57

Please try to explain better.

you are using CUSTOM FIELDS, and you have a problem with this.

It's not good that I've to give a look to attachments to understand what is part of issue.
(0027757)
fman (administrator)
2018-08-08 18:45

Please get latest code from github, do fresh install on sandbox, retest and provide feedback
(0027762)
elle (reporter)
2018-08-09 08:11

I'm sorry for an incorrect explanation.
Custom field type DATE doesn't work correctly. We use that type of fields when creating test cases. The date selected during editing(creating) is not saved.
I've included screenshot
(0027765)
fman (administrator)
2018-08-09 16:47

Thanks for the clarification.
Please follow instructions provided on note 27757
(0027770)
fman (administrator)
2018-08-11 09:02

I'm going to do more tests in following days
(0027771)
fman (administrator)
2018-08-11 09:56

I've discovered (not fixed yet), that if you have ONLY a CF of type DATE, things works OK.
stay tunned!!
(0027772)
fman (administrator)
2018-08-11 10:06

Test Case - TWO Custom Fields - ONE DATE, ONE STRING
Display Order
DATE
STRING

works OK

Test Case - TWO Custom Fields - ONE DATE, ONE STRING
Display Order
STRING
DATE

works KO
(0027773)
fman (administrator)
2018-08-11 10:32

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/9efd8814d7b42d9beed45934067549bc7da9572b [^]
(0027935)
fman (administrator)
2018-10-06 12:17

1.9.18 released

- Issue History
Date Modified Username Field Change
2018-08-08 13:44 elle New Issue
2018-08-08 13:44 elle File Added: TL - bug.zip
2018-08-08 14:57 fman Note Added: 0027756
2018-08-08 14:59 fman QA Team - Task Workflow Status => TBD
2018-08-08 14:59 fman Summary Can't save data in 'Data created' and Date last modify' fields => Can't save data in 'Data created' and Date last modify' CUSTOM FIELDS
2018-08-08 18:45 fman Note Added: 0027757
2018-08-08 18:45 fman Assigned To => fman
2018-08-08 18:45 fman Status new => feedback
2018-08-09 08:10 elle File Added: att2.png
2018-08-09 08:11 elle File Added: att3.png
2018-08-09 08:11 elle Note Added: 0027762
2018-08-09 08:11 elle Status feedback => assigned
2018-08-09 16:47 fman Note Added: 0027765
2018-08-09 16:48 fman Status assigned => feedback
2018-08-11 09:02 fman Note Added: 0027770
2018-08-11 09:56 fman Note Added: 0027771
2018-08-11 10:06 fman Note Added: 0027772
2018-08-11 10:32 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-08-11 10:32 fman Note Added: 0027773
2018-08-11 10:32 fman Status feedback => resolved
2018-08-11 10:32 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-08-11 10:32 fman Resolution open => fixed
2018-08-11 10:33 fman Relationship added child of 0008241
2018-10-06 12:17 fman Note Added: 0027935
2018-10-06 12:17 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker